Package org.apache.avro.ipc.stats

# Class StatsServlet.RenderableMessage

java.lang.Object
org.apache.avro.ipc.stats.StatsServlet.RenderableMessage

Enclosing class:
  `StatsServlet`

public class StatsServlet.RenderableMessage extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`ArrayList<HashMap<String,String>>`
`charts`
`String`
`name`
`int`
`numCalls`

## Constructor Summary

Constructors
Constructor
Description
`RenderableMessage(String name)`

## Method Summary

Modifier and Type
Method
Description
`ArrayList<HashMap<String,String>>`
`getCharts()`
`String`
`getname()`
`int`
`getNumCalls()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### name

public String name

### numCalls

public int numCalls

### charts

public ArrayList<HashMap<String,String>> charts

## Constructor Details

### RenderableMessage

public RenderableMessage(String name)

## Method Details

### getCharts

public ArrayList<HashMap<String,String>> getCharts()

### getname

public String getname()

### getNumCalls

public int getNumCalls()